/* ----
 * ---- file   : components.h
 * ---- author : Bastian Spiegel <bs@tkscript.de>
 * ---- legal  : (c) 2013 by Bastian Spiegel.
 * ----          Distributed under terms of the MIT LICENSE (MIT).
 * ----
 * ---- Permission is hereby granted, free of charge, to any person obtaining a copy
 * ---- of this software and associated documentation files (the "Software"), to deal
 * ---- in the Software without restriction, including without limitation the rights
 * ---- to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * ---- copies of the Software, and to permit persons to whom the Software is
 * ---- furnished to do so, subject to the following conditions:
 * ----
 * ---- The above copyright notice and this permission notice shall be included in
 * ---- all copies or substantial portions of the Software.
 * ----
 * ---- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * ---- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ---- FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * ---- AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * ---- LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * ---- OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * ---- THE SOFTWARE.
 * ----
 * ---- info   : This is part of the "c64_tools" package examples.
 * ----
 * ---- changed: 14Sep2013, 15Sep2013, 18Sep2013, 21Sep2013
 * ----
 * ----
 */

#ifndef __MLB_COMPONENTS_H__
#define __MLB_COMPONENTS_H__


#ifndef CCS
#define MLB_COMPONENT_GPP defined
#endif /* CCS */


#include <components/dss/dss.h>
#include <components/demo_calc/demo_calc.h>
#include <components/demo_checksum/demo_checksum.h>
#include <components/demo_calc_fastcall/demo_calc_fastcall.h>
#include <components/demo_fractal/demo_fractal.h>


enum {
   COMPONENT_DSS                = 1,
   COMPONENT_DEMO_CALC          = 2,
   COMPONENT_DEMO_CHECKSUM      = 3,
   COMPONENT_DEMO_CALC_FASTCALL = 4,
   COMPONENT_DEMO_FRACTAL       = 5,

   NUM_COMPONENTS
};


#endif /* __MLB_COMPONENTS_H__ */
